⌘K

Hailuo 1.0 - Text to Video

minimax_t2v_01

MiniMax T2V-01 transforms text prompts into dynamic videos with intelligent scene composition and natural camera movements.

Authentication

authorization string required

All APIs require authentication via Bearer Token.

Get API Key:

Visit API Key Management Page to get your API Key

Usage:

Add to request header:

Authorization: Bearer YOUR_API_KEY

Parameters

model string required

Model ID to use for the request

Options: minimax_t2v_01


prompt string required

Text description for video generation, length must be between 1-2000 characters


duration integer

Video duration in seconds, fixed at 6 seconds, cannot be changed

Options: 6

Default: 6


resolution string

Video resolution, fixed at 720P, cannot be changed

Options: 720P

Default: 720P


prompt_optimizer boolean

Whether to enable prompt optimizer. Set to false for more precise control

Default: true


callback_url string

Callback URL for receiving task status update notifications. Supports configuring callbacks via the callback_url parameter to receive asynchronous notifications of task status updates


aigc_watermark boolean

Whether to add watermark to the generated video

Default: false


Polling

Since result generation takes time, you need to poll the task status after creating the task.

The initial response only returns information such as the task ID and initial status. The final result must be obtained by polling the task status endpoint using the task ID.

See the examples on the right for polling requests and responses.

Response Format

error object

Error information, only present when status is failed

code integer

Error code

error_message string

Detailed error message


output array

Generation results, only present when status is completed

content array

List of generated content

type string

Resource type, e.g., video, image

url string

Generated content URL


usage object

Usage statistics, only present when status is completed

cost string

Total cost in USD

discount number

Discount amount


metadata object

Metadata information


Error Codes

Error CodeDescription
010003095Internal generation error
010003096Result parsing error
010003097HTTP error response
010003098Status check error
010003099Task creation error